<html lang="en">
<head>
<title>GDB - Speedbar: File/Tag summarizing utility</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Speedbar: File/Tag summarizing utility">
<meta name="generator" content="makeinfo 4.8">
<link title="Top" rel="start" href="index.html#Top">
<link rel="up" href="Minor-Modes.html#Minor-Modes" title="Minor Modes">
<link rel="prev" href="Info.html#Info" title="Info">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc    { font-variant:small-caps }
  span.roman { font-family:serif; font-weight:normal; } 
  span.sansserif { font-family:sans-serif; font-weight:normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="GDB"></a>
Previous:&nbsp;<a rel="previous" accesskey="p" href="Info.html#Info">Info</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="Minor-Modes.html#Minor-Modes">Minor Modes</a>
<hr>
</div>

<!-- node-name,  next,  previous,  up -->
<h3 class="section">5.3 GDB</h3>

<p><a name="index-gdb-26"></a><a name="index-gud-27"></a>
If you are debugging an application with GDB in Emacs, speedbar can show
you the current stack when the current buffer is the <samp><span class="file">*gdb*</span></samp>
buffer.  Usually, it will just report that there is no stack, but when
the application is stopped, the current stack will be shown.

   <p>You can click on any stack element and gdb will move to that stack
level.  You can then check variables local to that level at the GDB
prompt.

   <p>This mode has the unfortunate side-effect of breaking GDB's repeat
feature when you hit <kbd>RET</kbd> since your previous command is overridden
with a stack fetching command.

   </body></html>

